Error compiling WRF4.0 on ubuntu18.04

lightning

New member
I compiled WRF4.0 on ubuntu18.04 However, the following errors are reported

f951: Fatal Error: Reading module ‘esmf_timemod’ at line 1633 column 3: Unexpected EOF
compilation terminated.
Makefile:56: recipe for target 'Meat.o' failed

In fact, the same error will be reported when wrf3.8
I tested the test file of this website https://www2.mmm.ucar.edu/wrf/OnLineTutorial/compilation_tutorial.php#TOP , and they all passed successfully. So where did I do something wrong?
I have attached some files


Thank
 

Attachments

  • compile.log
    611.6 KB · Views: 3
  • configure.wrf
    20.1 KB · Views: 2

lightning

New member
I compiled with WRF4.3 again
This error report became

f951: Fatal Error: Reading module ‘wrf_ esmf_ timemod’ at line 1599 column 20: Unexpected EOF compilation terminated.
Makefile:56: recipe for target 'ESMF_ Alarm. o' failed
make[3]: [ESMF_Alarm.o] Error 1 (ignored)


I uploaded this file
 

Attachments

  • checkwrf.log
    710.1 KB · Views: 4
  • configure.wrf
    20.4 KB · Views: 3

Whatheway

Member
lightning said:
I compiled with WRF4.3 again
This error report became

f951: Fatal Error: Reading module ‘wrf_ esmf_ timemod’ at line 1599 column 20: Unexpected EOF compilation terminated.
Makefile:56: recipe for target 'ESMF_ Alarm. o' failed
make[3]: [ESMF_Alarm.o] Error 1 (ignored)


I uploaded this file

Just curious which library versions did you install? For example zlib,libpng,jasper,mpich,netcdf-fortran,netcdf-c, etc....
 

lightning

New member
Whatheway said:
lightning said:
Jasper-1.900.1

zlib-1.2.9

libpng-1.6.16

netcdf-c-4.7.1

netcdf-f-4.4.4 or 4.5.1

I see no issues with those. Did mpich install properly too?

I didn't install mpich
I just tried to install mpich-3.0.4 and reported an error
f951: Fatal Error: Reading module 'mpi_ constants' at line 1699 column 2: Unexpected EOF
 

Whatheway

Member
I didn't install mpich

So mpich is required for wrf to run properly. What I would suggest is deleting the wrf build and starting over. My guess is that there is a error somewhere in the library installation that propagated through all the builds to your wrf configuration.

The order that I found works for installing libraries is:

Zlib
Libpng
Jasper
Mpich
Hdf5
Netcdf-c
Netcdf-fortran

WRF (option 34 w/ basic nesting (option 1))
WPS (option 3)
 

Whatheway

Member
An extra step to make sure the libraries install properly is to execute these commands when configuring the libraries.

Code:
make 
make install
make check

Make check will run some tests to make sure everything installed properly. You should see "pass" or "fail" in the terminal.

If any come up with a fail then there is an issue.
 

lightning

New member
Whatheway said:
I didn't install mpich

So mpich is required for wrf to run properly. What I would suggest is deleting the wrf build and starting over. My guess is that there is a error somewhere in the library installation that propagated through all the builds to your wrf configuration.

The order that I found works for installing libraries is:

Zlib
Libpng
Jasper
Mpich
Hdf5
Netcdf-c
Netcdf-fortran

WRF (option 34 w/ basic nesting (option 1))
WPS (option 3)
I reinstall them all, and change zlib from 1.2.9 to 1.2.8. MPICH and WRF are now successfully installed. However, zlib-1.2.9 can be used normally on other software before.
Anyway, thanks for your advice.
 
Top